package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * expense_account_details
 * @author 
 */
public class ExpenseAccountDetails implements Serializable {
    private Integer id;

    /**
     * 报销编号
     */
    private Integer eaid;

    /**
     * 0=其他，1=交通费，2=住宿费，3=市内车费，4=餐费，5=出差补贴，6=预借支,7=油费
8=招待费，9=办公费，10=福利费，11=物业水电费，12=打印费
     */
    private Integer type;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 始发地
     */
    private String startDistrict;

    /**
     * 终点站
     */
    private String endDistrict;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 交通工具 0=其他，1=飞机，2=火车或高铁，3=地铁，4=公交车
     */
    private Integer vehicle;

    /**
     * 其他交通工具说明
     */
    private String vehicleOther;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 约定时间
     */
    private Date agreeTime;

    /**
     * 付款方式
     */
    private Integer payType;

    /**
     * 发票类型 0普票 1专票
     */
    private Integer invoiceType;

    /**
     * 发票号
     */
    private String invoiceNo;

    /**
     * 付款单位
     */
    private String payerName;

    /**
     * 开户行名称
     */
    private String openBank;

    /**
     * 银行账户
     */
    private String bankAccounts;

    /**
     * 开户行地址
     */
    private String openBankAddress;

    /**
     * 借支编号
     */
    private Integer lendId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 真实金额
     */
    private BigDecimal realAmount;

    /**
     * 其他状态说明
     */
    private String typeOther;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getEaid() {
        return eaid;
    }

    public void setEaid(Integer eaid) {
        this.eaid = eaid;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getStartDistrict() {
        return startDistrict;
    }

    public void setStartDistrict(String startDistrict) {
        this.startDistrict = startDistrict;
    }

    public String getEndDistrict() {
        return endDistrict;
    }

    public void setEndDistrict(String endDistrict) {
        this.endDistrict = endDistrict;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getVehicle() {
        return vehicle;
    }

    public void setVehicle(Integer vehicle) {
        this.vehicle = vehicle;
    }

    public String getVehicleOther() {
        return vehicleOther;
    }

    public void setVehicleOther(String vehicleOther) {
        this.vehicleOther = vehicleOther;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public Date getAgreeTime() {
        return agreeTime;
    }

    public void setAgreeTime(Date agreeTime) {
        this.agreeTime = agreeTime;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getInvoiceNo() {
        return invoiceNo;
    }

    public void setInvoiceNo(String invoiceNo) {
        this.invoiceNo = invoiceNo;
    }

    public String getPayerName() {
        return payerName;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getOpenBank() {
        return openBank;
    }

    public void setOpenBank(String openBank) {
        this.openBank = openBank;
    }

    public String getBankAccounts() {
        return bankAccounts;
    }

    public void setBankAccounts(String bankAccounts) {
        this.bankAccounts = bankAccounts;
    }

    public String getOpenBankAddress() {
        return openBankAddress;
    }

    public void setOpenBankAddress(String openBankAddress) {
        this.openBankAddress = openBankAddress;
    }

    public Integer getLendId() {
        return lendId;
    }

    public void setLendId(Integer lendId) {
        this.lendId = lendId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getRealAmount() {
        return realAmount;
    }

    public void setRealAmount(BigDecimal realAmount) {
        this.realAmount = realAmount;
    }

    public String getTypeOther() {
        return typeOther;
    }

    public void setTypeOther(String typeOther) {
        this.typeOther = typeOther;
    }
}